Update cell help page.
[scilab.git] / scilab / modules / data_structures / Makefile.in
1 # Makefile.in generated by automake 1.15 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
18 # Copyright (C) 2006 - INRIA - Sylvestre LEDRU
19 #
20 # This file is distributed under the same license as the Scilab package.
21
22 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
23 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
24 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
25 #
26 # This file must be used under the terms of the CeCILL.
27 # This source file is licensed as described in the file COPYING, which
28 # you should have received as part of this distribution.  The terms
29 # are also available at
30 # http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
31 #
32
33 ##########
34 ### Makefile included stuff
35 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
36 ##########
37
38
39 VPATH = @srcdir@
40 am__is_gnu_make = { \
41   if test -z '$(MAKELEVEL)'; then \
42     false; \
43   elif test -n '$(MAKE_HOST)'; then \
44     true; \
45   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
46     true; \
47   else \
48     false; \
49   fi; \
50 }
51 am__make_running_with_option = \
52   case $${target_option-} in \
53       ?) ;; \
54       *) echo "am__make_running_with_option: internal error: invalid" \
55               "target option '$${target_option-}' specified" >&2; \
56          exit 1;; \
57   esac; \
58   has_opt=no; \
59   sane_makeflags=$$MAKEFLAGS; \
60   if $(am__is_gnu_make); then \
61     sane_makeflags=$$MFLAGS; \
62   else \
63     case $$MAKEFLAGS in \
64       *\\[\ \   ]*) \
65         bs=\\; \
66         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
67           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
68     esac; \
69   fi; \
70   skip_next=no; \
71   strip_trailopt () \
72   { \
73     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
74   }; \
75   for flg in $$sane_makeflags; do \
76     test $$skip_next = yes && { skip_next=no; continue; }; \
77     case $$flg in \
78       *=*|--*) continue;; \
79         -*I) strip_trailopt 'I'; skip_next=yes;; \
80       -*I?*) strip_trailopt 'I';; \
81         -*O) strip_trailopt 'O'; skip_next=yes;; \
82       -*O?*) strip_trailopt 'O';; \
83         -*l) strip_trailopt 'l'; skip_next=yes;; \
84       -*l?*) strip_trailopt 'l';; \
85       -[dEDm]) skip_next=yes;; \
86       -[JT]) skip_next=yes;; \
87     esac; \
88     case $$flg in \
89       *$$target_option*) has_opt=yes; break;; \
90     esac; \
91   done; \
92   test $$has_opt = yes
93 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
94 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
95 pkgdatadir = $(datadir)/@PACKAGE@
96 pkgincludedir = $(includedir)/@PACKAGE@
97 pkglibdir = $(libdir)/@PACKAGE@
98 pkglibexecdir = $(libexecdir)/@PACKAGE@
99 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
100 install_sh_DATA = $(install_sh) -c -m 644
101 install_sh_PROGRAM = $(install_sh) -c
102 install_sh_SCRIPT = $(install_sh) -c
103 INSTALL_HEADER = $(INSTALL_DATA)
104 transform = $(program_transform_name)
105 NORMAL_INSTALL = :
106 PRE_INSTALL = :
107 POST_INSTALL = :
108 NORMAL_UNINSTALL = :
109 PRE_UNINSTALL = :
110 POST_UNINSTALL = :
111 build_triplet = @build@
112 host_triplet = @host@
113 @NEED_JAVA_TRUE@am__append_1 = java
114 subdir = modules/data_structures
115 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
116 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_cxx_compile_stdcxx_11.m4 \
117         $(top_srcdir)/m4/backtrace.m4 $(top_srcdir)/m4/compiler.m4 \
118         $(top_srcdir)/m4/curl.m4 $(top_srcdir)/m4/docbook.m4 \
119         $(top_srcdir)/m4/doxygen.m4 $(top_srcdir)/m4/eigen.m4 \
120         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
121         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
122         $(top_srcdir)/m4/intel_compiler.m4 \
123         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
124         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
125         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
126         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
127         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
128         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
129         $(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
130         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
131         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
132         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
133         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
134 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
135         $(ACLOCAL_M4)
136 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
137 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
138 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
139 CONFIG_CLEAN_FILES =
140 CONFIG_CLEAN_VPATH_FILES =
141 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
142 am__vpath_adj = case $$p in \
143     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
144     *) f=$$p;; \
145   esac;
146 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
147 am__install_max = 40
148 am__nobase_strip_setup = \
149   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
150 am__nobase_strip = \
151   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
152 am__nobase_list = $(am__nobase_strip_setup); \
153   for p in $$list; do echo "$$p $$p"; done | \
154   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
155   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
156     if (++n[$$2] == $(am__install_max)) \
157       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
158     END { for (dir in files) print dir, files[dir] }'
159 am__base_list = \
160   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
161   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
162 am__uninstall_files_from_dir = { \
163   test -z "$$files" \
164     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
165     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
166          $(am__cd) "$$dir" && rm -f $$files; }; \
167   }
168 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
169         "$(DESTDIR)$(libscidata_structures_la_etcdir)" \
170         "$(DESTDIR)$(libscidata_structures_la_rootdir)" \
171         "$(DESTDIR)$(libscidata_structures_la_sci_gatewaydir)"
172 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
173 libscidata_structures_la_LIBADD =
174 am__dirstamp = $(am__leading_dot)dirstamp
175 am__objects_1 = sci_gateway/cpp/libscidata_structures_la-data_structures_gw.lo \
176         sci_gateway/cpp/libscidata_structures_la-sci_getfield.lo \
177         sci_gateway/cpp/libscidata_structures_la-sci_setfield.lo \
178         sci_gateway/cpp/libscidata_structures_la-sci_rlist.lo \
179         sci_gateway/cpp/libscidata_structures_la-sci_definedfields.lo
180 am_libscidata_structures_la_OBJECTS = $(am__objects_1)
181 libscidata_structures_la_OBJECTS =  \
182         $(am_libscidata_structures_la_OBJECTS)
183 AM_V_lt = $(am__v_lt_@AM_V@)
184 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
185 am__v_lt_0 = --silent
186 am__v_lt_1 = 
187 @MAINTAINER_MODE_FALSE@am_libscidata_structures_la_rpath =
188 @MAINTAINER_MODE_TRUE@am_libscidata_structures_la_rpath = -rpath \
189 @MAINTAINER_MODE_TRUE@  $(pkglibdir)
190 AM_V_P = $(am__v_P_@AM_V@)
191 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
192 am__v_P_0 = false
193 am__v_P_1 = :
194 AM_V_GEN = $(am__v_GEN_@AM_V@)
195 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
196 am__v_GEN_0 = @echo "  GEN     " $@;
197 am__v_GEN_1 = 
198 AM_V_at = $(am__v_at_@AM_V@)
199 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
200 am__v_at_0 = @
201 am__v_at_1 = 
202 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
203 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
204 am__depfiles_maybe = depfiles
205 am__mv = mv -f
206 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
207         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
208 LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
209         $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
210         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
211         $(AM_CXXFLAGS) $(CXXFLAGS)
212 AM_V_CXX = $(am__v_CXX_@AM_V@)
213 am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
214 am__v_CXX_0 = @echo "  CXX     " $@;
215 am__v_CXX_1 = 
216 CXXLD = $(CXX)
217 CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
218         $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
219         $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
220 AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
221 am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
222 am__v_CXXLD_0 = @echo "  CXXLD   " $@;
223 am__v_CXXLD_1 = 
224 SOURCES = $(libscidata_structures_la_SOURCES)
225 DIST_SOURCES = $(libscidata_structures_la_SOURCES)
226 am__can_run_installinfo = \
227   case $$AM_UPDATE_INFO_DIR in \
228     n|no|NO) false;; \
229     *) (install-info --version) >/dev/null 2>&1;; \
230   esac
231 DATA = $(libscidata_structures_la_etc_DATA) \
232         $(libscidata_structures_la_root_DATA) \
233         $(libscidata_structures_la_sci_gateway_DATA)
234 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
235 # Read a list of newline-separated strings from the standard input,
236 # and print each of them once, without duplicates.  Input order is
237 # *not* preserved.
238 am__uniquify_input = $(AWK) '\
239   BEGIN { nonempty = 0; } \
240   { items[$$0] = 1; nonempty = 1; } \
241   END { if (nonempty) { for (i in items) print i; }; } \
242 '
243 # Make sure the list of sources is unique.  This is necessary because,
244 # e.g., the same source file might be shared among _SOURCES variables
245 # for different programs/libraries.
246 am__define_uniq_tagged_files = \
247   list='$(am__tagged_files)'; \
248   unique=`for i in $$list; do \
249     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
250   done | $(am__uniquify_input)`
251 ETAGS = etags
252 CTAGS = ctags
253 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/Makefile.incl.am \
254         $(top_srcdir)/config/depcomp \
255         $(top_srcdir)/config/mkinstalldirs
256 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
257 ACLOCAL = @ACLOCAL@
258 ALL_LINGUAS = @ALL_LINGUAS@
259 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
260 AMTAR = @AMTAR@
261 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
262 ANT = @ANT@
263 ANTLR = @ANTLR@
264 AR = @AR@
265 ARPACK_LIBS = @ARPACK_LIBS@
266 ASM3 = @ASM3@
267 AUTOCONF = @AUTOCONF@
268 AUTOHEADER = @AUTOHEADER@
269 AUTOMAKE = @AUTOMAKE@
270 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
271 AWK = @AWK@
272 BATIK = @BATIK@
273 BLAS_LIBS = @BLAS_LIBS@
274 CC = @CC@
275 CCACHE = @CCACHE@
276 CCDEPMODE = @CCDEPMODE@
277 CFLAGS = @CFLAGS@
278 CHECKSTYLE = @CHECKSTYLE@
279 COBERTURA = @COBERTURA@
280 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
281 COMMONS_IO = @COMMONS_IO@
282 COMMONS_LOGGING = @COMMONS_LOGGING@
283 CPP = @CPP@
284 CPPFLAGS = @CPPFLAGS@
285 CURL_CFLAGS = @CURL_CFLAGS@
286 CURL_CONFIG = @CURL_CONFIG@
287 CURL_LIBS = @CURL_LIBS@
288 CURL_VERSION = @CURL_VERSION@
289 CXX = @CXX@
290 CXXCPP = @CXXCPP@
291 CXXDEPMODE = @CXXDEPMODE@
292 CXXFLAGS = @CXXFLAGS@
293 CYGPATH_W = @CYGPATH_W@
294 DEFS = @DEFS@
295 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
296 DEPDIR = @DEPDIR@
297 DLLTOOL = @DLLTOOL@
298 DOCBOOK_ROOT = @DOCBOOK_ROOT@
299 DOXYGEN_BIN = @DOXYGEN_BIN@
300 DSYMUTIL = @DSYMUTIL@
301 DUMPBIN = @DUMPBIN@
302 ECHO_C = @ECHO_C@
303 ECHO_N = @ECHO_N@
304 ECHO_T = @ECHO_T@
305 ECJ = @ECJ@
306 EGREP = @EGREP@
307 EIGEN_CPPFLAGS = @EIGEN_CPPFLAGS@
308 EXEEXT = @EXEEXT@
309 F77 = @F77@
310 FFLAGS = @FFLAGS@
311 FFTW3_LIB = @FFTW3_LIB@
312 FFTW_ENABLE = @FFTW_ENABLE@
313 FGREP = @FGREP@
314 FLEXDOCK = @FLEXDOCK@
315 FLIBS = @FLIBS@
316 FOP = @FOP@
317 FREEHEP_GRAPHICS2D = @FREEHEP_GRAPHICS2D@
318 FREEHEP_GRAPHICSIO = @FREEHEP_GRAPHICSIO@
319 FREEHEP_GRAPHICSIO_EMF = @FREEHEP_GRAPHICSIO_EMF@
320 FREEHEP_IO = @FREEHEP_IO@
321 FREEHEP_UTIL = @FREEHEP_UTIL@
322 GENHTML = @GENHTML@
323 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
324 GIWS_BIN = @GIWS_BIN@
325 GLUEGEN2_RT = @GLUEGEN2_RT@
326 GMSGFMT = @GMSGFMT@
327 GMSGFMT_015 = @GMSGFMT_015@
328 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
329 GREP = @GREP@
330 GUI_ENABLE = @GUI_ENABLE@
331 HAVE_CXX11 = @HAVE_CXX11@
332 HDF5_CFLAGS = @HDF5_CFLAGS@
333 HDF5_LIBS = @HDF5_LIBS@
334 HELP_ENABLE = @HELP_ENABLE@
335 INSTALL = @INSTALL@
336 INSTALL_DATA = @INSTALL_DATA@
337 INSTALL_PROGRAM = @INSTALL_PROGRAM@
338 INSTALL_SCRIPT = @INSTALL_SCRIPT@
339 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
340 INTLLIBS = @INTLLIBS@
341 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
342 JAR = @JAR@
343 JAVA = @JAVA@
344 JAVAC = @JAVAC@
345 JAVAC_DEBUG = @JAVAC_DEBUG@
346 JAVADOC = @JAVADOC@
347 JAVAH = @JAVAH@
348 JAVASCI_ENABLE = @JAVASCI_ENABLE@
349 JAVA_ENABLE = @JAVA_ENABLE@
350 JAVA_G = @JAVA_G@
351 JAVA_HOME = @JAVA_HOME@
352 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
353 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
354 JDB = @JDB@
355 JEUCLID_CORE = @JEUCLID_CORE@
356 JGRAPHX = @JGRAPHX@
357 JHALL = @JHALL@
358 JLATEXMATH = @JLATEXMATH@
359 JLATEXMATH_FOP = @JLATEXMATH_FOP@
360 JOGL2 = @JOGL2@
361 JROSETTA_API = @JROSETTA_API@
362 JROSETTA_ENGINE = @JROSETTA_ENGINE@
363 JUNIT4 = @JUNIT4@
364 LAPACK_LIBS = @LAPACK_LIBS@
365 LCOV = @LCOV@
366 LD = @LD@
367 LDFLAGS = @LDFLAGS@
368 LEX = @LEX@
369 LEXLIB = @LEXLIB@
370 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
371 LIBICONV = @LIBICONV@
372 LIBINTL = @LIBINTL@
373 LIBM = @LIBM@
374 LIBOBJS = @LIBOBJS@
375 LIBS = @LIBS@
376 LIBTOOL = @LIBTOOL@
377 LIPO = @LIPO@
378 LN_S = @LN_S@
379 LOGGING_LEVEL = @LOGGING_LEVEL@
380 LOOKS = @LOOKS@
381 LTLIBICONV = @LTLIBICONV@
382 LTLIBINTL = @LTLIBINTL@
383 LTLIBOBJS = @LTLIBOBJS@
384 MAINT = @MAINT@
385 MAKEINFO = @MAKEINFO@
386 MANIFEST_TOOL = @MANIFEST_TOOL@
387 MATIO_CFLAGS = @MATIO_CFLAGS@
388 MATIO_ENABLE = @MATIO_ENABLE@
389 MATIO_LIBS = @MATIO_LIBS@
390 MKDIR_P = @MKDIR_P@
391 MPI_ENABLE = @MPI_ENABLE@
392 MSGCAT = @MSGCAT@
393 MSGFMT = @MSGFMT@
394 MSGFMT_015 = @MSGFMT_015@
395 MSGMERGE = @MSGMERGE@
396 NM = @NM@
397 NMEDIT = @NMEDIT@
398 OBJDUMP = @OBJDUMP@
399 OBJEXT = @OBJEXT@
400 OCAMLC = @OCAMLC@
401 OCAMLDEP = @OCAMLDEP@
402 OCAMLLEX = @OCAMLLEX@
403 OCAMLOPT = @OCAMLOPT@
404 OCAMLYACC = @OCAMLYACC@
405 OPENMPI_CC = @OPENMPI_CC@
406 OPENMPI_CFLAGS = @OPENMPI_CFLAGS@
407 OPENMPI_CXX = @OPENMPI_CXX@
408 OPENMPI_CXXFLAGS = @OPENMPI_CXXFLAGS@
409 OPENMPI_LIBS = @OPENMPI_LIBS@
410 OPENMP_CFLAGS = @OPENMP_CFLAGS@
411 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
412 OPENMP_ENABLE = @OPENMP_ENABLE@
413 OPENMP_LIBS = @OPENMP_LIBS@
414 OTOOL = @OTOOL@
415 OTOOL64 = @OTOOL64@
416 PACKAGE = @PACKAGE@
417 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
418 PACKAGE_NAME = @PACKAGE_NAME@
419 PACKAGE_STRING = @PACKAGE_STRING@
420 PACKAGE_TARNAME = @PACKAGE_TARNAME@
421 PACKAGE_URL = @PACKAGE_URL@
422 PACKAGE_VERSION = @PACKAGE_VERSION@
423 PATH_SEPARATOR = @PATH_SEPARATOR@
424 PCRE_CFLAGS = @PCRE_CFLAGS@
425 PCRE_CONFIG = @PCRE_CONFIG@
426 PCRE_LIBS = @PCRE_LIBS@
427 PCRE_VERSION = @PCRE_VERSION@
428 PKG_CONFIG = @PKG_CONFIG@
429 POSUB = @POSUB@
430 POW_LIB = @POW_LIB@
431 PYTHON = @PYTHON@
432 RANLIB = @RANLIB@
433 RELOCATABLE = @RELOCATABLE@
434 RT_LIB = @RT_LIB@
435 SAXON = @SAXON@
436 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
437 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
438 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
439 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
440 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
441 SCIRENDERER = @SCIRENDERER@
442 SCIRENDERER_CP = @SCIRENDERER_CP@
443 SCI_CFLAGS = @SCI_CFLAGS@
444 SCI_CXXFLAGS = @SCI_CXXFLAGS@
445 SCI_FFLAGS = @SCI_FFLAGS@
446 SCI_LDFLAGS = @SCI_LDFLAGS@
447 SED = @SED@
448 SET_MAKE = @SET_MAKE@
449 SET_RELOCATABLE = @SET_RELOCATABLE@
450 SHELL = @SHELL@
451 SKINLF = @SKINLF@
452 SPLINT = @SPLINT@
453 STRIP = @STRIP@
454 SWIG_BIN = @SWIG_BIN@
455 SWIG_JAVA = @SWIG_JAVA@
456 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
457 SWIG_SCILAB = @SWIG_SCILAB@
458 TCLTK_LIBS = @TCLTK_LIBS@
459 TCL_INC_PATH = @TCL_INC_PATH@
460 TK_INC_PATH = @TK_INC_PATH@
461 UMFPACK_CFLAGS = @UMFPACK_CFLAGS@
462 UMFPACK_ENABLE = @UMFPACK_ENABLE@
463 UMFPACK_LIB = @UMFPACK_LIB@
464 USE_NLS = @USE_NLS@
465 VERSION = @VERSION@
466 WITH_OCAML = @WITH_OCAML@
467 WITH_TKSCI = @WITH_TKSCI@
468 XCOS_ENABLE = @XCOS_ENABLE@
469 XGETTEXT = @XGETTEXT@
470 XGETTEXT_015 = @XGETTEXT_015@
471 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
472 XMKMF = @XMKMF@
473 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
474 XML_APIS_EXT = @XML_APIS_EXT@
475 XML_CONFIG = @XML_CONFIG@
476 XML_FLAGS = @XML_FLAGS@
477 XML_LIBS = @XML_LIBS@
478 XML_VERSION = @XML_VERSION@
479 X_CFLAGS = @X_CFLAGS@
480 X_EXTRA_LIBS = @X_EXTRA_LIBS@
481 X_LIBS = @X_LIBS@
482 X_PRE_LIBS = @X_PRE_LIBS@
483 YACC = @YACC@
484 YFLAGS = @YFLAGS@
485 abs_builddir = @abs_builddir@
486 abs_srcdir = @abs_srcdir@
487 abs_top_builddir = @abs_top_builddir@
488 abs_top_srcdir = @abs_top_srcdir@
489 ac_ct_AR = @ac_ct_AR@
490 ac_ct_CC = @ac_ct_CC@
491 ac_ct_CXX = @ac_ct_CXX@
492 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
493 ac_ct_F77 = @ac_ct_F77@
494 am__include = @am__include@
495 am__leading_dot = @am__leading_dot@
496 am__quote = @am__quote@
497 am__tar = @am__tar@
498 am__untar = @am__untar@
499 bindir = @bindir@
500 build = @build@
501 build_alias = @build_alias@
502 build_cpu = @build_cpu@
503 build_os = @build_os@
504 build_vendor = @build_vendor@
505 builddir = @builddir@
506 cxx_present = @cxx_present@
507 datadir = @datadir@
508 datarootdir = @datarootdir@
509 docdir = @docdir@
510 dvidir = @dvidir@
511 exec_prefix = @exec_prefix@
512 host = @host@
513 host_alias = @host_alias@
514 host_cpu = @host_cpu@
515 host_os = @host_os@
516 host_vendor = @host_vendor@
517 htmldir = @htmldir@
518 includedir = @includedir@
519 infodir = @infodir@
520 install_sh = @install_sh@
521 libdir = @libdir@
522 libexecdir = @libexecdir@
523 localedir = @localedir@
524 localstatedir = @localstatedir@
525 mandir = @mandir@
526 mkdir_p = @mkdir_p@
527 oldincludedir = @oldincludedir@
528 pdfdir = @pdfdir@
529 prefix = @prefix@
530 program_transform_name = @program_transform_name@
531 psdir = @psdir@
532 sbindir = @sbindir@
533 sharedstatedir = @sharedstatedir@
534 srcdir = @srcdir@
535 sysconfdir = @sysconfdir@
536 target_alias = @target_alias@
537 top_build_prefix = @top_build_prefix@
538 top_builddir = @top_builddir@
539 top_srcdir = @top_srcdir@
540 yacc_present = @yacc_present@
541 GATEWAY_CPP_SOURCES = \
542     sci_gateway/cpp/data_structures_gw.cpp \
543     sci_gateway/cpp/sci_getfield.cpp \
544     sci_gateway/cpp/sci_setfield.cpp \
545     sci_gateway/cpp/sci_rlist.cpp \
546     sci_gateway/cpp/sci_definedfields.cpp
547
548 libscidata_structures_la_CPPFLAGS = \
549     -I$(srcdir)/includes/ \
550     -I$(top_srcdir)/modules/ast/includes/ast/ \
551     -I$(top_srcdir)/modules/ast/includes/exps/ \
552     -I$(top_srcdir)/modules/ast/includes/operations/ \
553     -I$(top_srcdir)/modules/ast/includes/parse/ \
554     -I$(top_srcdir)/modules/ast/includes/symbol/ \
555     -I$(top_srcdir)/modules/ast/includes/system_env/ \
556     -I$(top_srcdir)/modules/ast/includes/types/ \
557     -I$(top_srcdir)/modules/ast/includes/analysis/ \
558     -I$(top_srcdir)/modules/dynamic_link/includes/ \
559     -I$(top_srcdir)/modules/string/includes/ \
560     -I$(top_srcdir)/modules/output_stream/includes/ \
561     -I$(top_srcdir)/modules/localization/includes/ \
562     -I$(top_srcdir)/modules/api_scilab/includes/ \
563     -I$(top_srcdir)/modules/threads/includes/ \
564     $(AM_CPPFLAGS)
565
566 @MAINTAINER_MODE_TRUE@pkglib_LTLIBRARIES = libscidata_structures.la
567 @MAINTAINER_MODE_FALSE@noinst_LTLIBRARIES = libscidata_structures.la
568 libscidata_structures_la_SOURCES = $(GATEWAY_CPP_SOURCES)
569
570 # For the code check (splint)
571 CHECK_SRC = $(GATEWAY_CPP_SOURCES)
572 INCLUDE_FLAGS = $(libscidata_structures_la_CFLAGS)
573
574 #### Target ######
575 modulename = data_structures
576
577 #### data_structures : Conf files ####
578 libscidata_structures_la_rootdir = $(mydatadir)
579 libscidata_structures_la_root_DATA = license.txt
580
581 ####┬ádata_structures : init scripts ####
582 libscidata_structures_la_etcdir = $(mydatadir)/etc
583 libscidata_structures_la_etc_DATA = \
584     etc/data_structures.quit \
585     etc/data_structures.start
586
587
588 ####┬ádata_structures : gateway declaration ####
589 libscidata_structures_la_sci_gatewaydir = $(mydatadir)/sci_gateway
590 libscidata_structures_la_sci_gateway_DATA = sci_gateway/data_structures_gateway.xml
591
592 # Where all the Scilab stuff is installed (macros, help, ...)
593 mydatadir = $(pkgdatadir)/modules/$(modulename)
594
595 # Set AM_* SCI detected settings
596 AM_CPPFLAGS = $(SCI_CPPFLAGS)
597 AM_CFLAGS = $(SCI_CFLAGS)
598 AM_CXXFLAGS = $(SCI_CXXFLAGS)
599 # append includes to AM_FFLAGS to manage fortran includes
600 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
601
602 # Tag shared libraries with the Scilab version
603 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
604
605 # splint options
606 SPLINT_OPTIONS = -weak -booltype BOOL
607
608 ########################### JAVA ######################################
609 #### We are delegating java compilation to ant... Thanks to that
610 #### the procedure will be the same with Microsoft Windows (C)
611 #### and Linux/Unix
612 #######################################################################
613 TARGETS_ALL = $(am__append_1)
614
615 ################ MACROS ######################
616 # Rule to build a macro
617 # NOT USED  AT THE MOMENT
618 SUFFIXES = .sci
619
620 ########### INSTALL DOCUMENTATION ###################
621
622 # Install documentation files into the right target
623 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
624 # automake needs the html files to be present which is not the case when
625 # we are building Scilab
626
627 # Where it should be installed
628 pkgdocdir = $(mydatadir)
629
630 # What is the mask of the help source
631 DOCMASKXML = *.xml
632
633 # What is the mask of the MathML sources
634 DOCMASKMML = *.mml
635
636 ########### INSTALL DATA ###################
637 # Install macros, help & demos
638 # Where it should be installed
639 pkgmacrosdir = $(mydatadir)
640 # Which directory we process
641 MACRODIRS = macros/
642 # Mask of the Scilab sources macros
643 MACROMASK = *.sci
644 # Mask of the Scilab executable sources macros
645 MACROBUILDMASK = *.sce
646 # Mask of the Scilab compiled macros
647 MACROBINMASK = *.bin
648 # List of the standard directory for tests
649 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
650 # Where the demos should be installed
651 pkgdemosdir = $(mydatadir)
652 # List of the standard directory for demos
653 DEMOS_DIR = demos
654 # List of the standard directory for examples
655 EXAMPLES_DIR = examples
656 # Where to export JAVA archives (.jar)
657 JARDIR = jar/
658 # JAR files mask
659 JARMASK = *.jar
660 # Chapter file
661 HELP_CHAPTERDIR = help/
662 HELP_CHAPTERFILE = addchapter.sce
663 HELP_CHAPTERLANG = en_US fr_FR pt_BR
664 all: all-am
665
666 .SUFFIXES:
667 .SUFFIXES: .sci .bin .cpp .lo .o .obj
668 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
669         @for dep in $?; do \
670           case '$(am__configure_deps)' in \
671             *$$dep*) \
672               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
673                 && { if test -f $@; then exit 0; else break; fi; }; \
674               exit 1;; \
675           esac; \
676         done; \
677         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/data_structures/Makefile'; \
678         $(am__cd) $(top_srcdir) && \
679           $(AUTOMAKE) --foreign modules/data_structures/Makefile
680 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
681         @case '$?' in \
682           *config.status*) \
683             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
684           *) \
685             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
686             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
687         esac;
688 $(top_srcdir)/Makefile.incl.am $(am__empty):
689
690 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
691         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
692
693 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
694         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
695 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
696         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
697 $(am__aclocal_m4_deps):
698
699 clean-noinstLTLIBRARIES:
700         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
701         @list='$(noinst_LTLIBRARIES)'; \
702         locs=`for p in $$list; do echo $$p; done | \
703               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
704               sort -u`; \
705         test -z "$$locs" || { \
706           echo rm -f $${locs}; \
707           rm -f $${locs}; \
708         }
709
710 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
711         @$(NORMAL_INSTALL)
712         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
713         list2=; for p in $$list; do \
714           if test -f $$p; then \
715             list2="$$list2 $$p"; \
716           else :; fi; \
717         done; \
718         test -z "$$list2" || { \
719           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
720           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
721           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
722           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
723         }
724
725 uninstall-pkglibLTLIBRARIES:
726         @$(NORMAL_UNINSTALL)
727         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
728         for p in $$list; do \
729           $(am__strip_dir) \
730           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
731           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
732         done
733
734 clean-pkglibLTLIBRARIES:
735         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
736         @list='$(pkglib_LTLIBRARIES)'; \
737         locs=`for p in $$list; do echo $$p; done | \
738               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
739               sort -u`; \
740         test -z "$$locs" || { \
741           echo rm -f $${locs}; \
742           rm -f $${locs}; \
743         }
744 sci_gateway/cpp/$(am__dirstamp):
745         @$(MKDIR_P) sci_gateway/cpp
746         @: > sci_gateway/cpp/$(am__dirstamp)
747 sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp):
748         @$(MKDIR_P) sci_gateway/cpp/$(DEPDIR)
749         @: > sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
750 sci_gateway/cpp/libscidata_structures_la-data_structures_gw.lo:  \
751         sci_gateway/cpp/$(am__dirstamp) \
752         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
753 sci_gateway/cpp/libscidata_structures_la-sci_getfield.lo:  \
754         sci_gateway/cpp/$(am__dirstamp) \
755         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
756 sci_gateway/cpp/libscidata_structures_la-sci_setfield.lo:  \
757         sci_gateway/cpp/$(am__dirstamp) \
758         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
759 sci_gateway/cpp/libscidata_structures_la-sci_rlist.lo:  \
760         sci_gateway/cpp/$(am__dirstamp) \
761         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
762 sci_gateway/cpp/libscidata_structures_la-sci_definedfields.lo:  \
763         sci_gateway/cpp/$(am__dirstamp) \
764         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
765
766 libscidata_structures.la: $(libscidata_structures_la_OBJECTS) $(libscidata_structures_la_DEPENDENCIES) $(EXTRA_libscidata_structures_la_DEPENDENCIES) 
767         $(AM_V_CXXLD)$(CXXLINK) $(am_libscidata_structures_la_rpath) $(libscidata_structures_la_OBJECTS) $(libscidata_structures_la_LIBADD) $(LIBS)
768
769 mostlyclean-compile:
770         -rm -f *.$(OBJEXT)
771         -rm -f sci_gateway/cpp/*.$(OBJEXT)
772         -rm -f sci_gateway/cpp/*.lo
773
774 distclean-compile:
775         -rm -f *.tab.c
776
777 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libscidata_structures_la-data_structures_gw.Plo@am__quote@
778 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libscidata_structures_la-sci_definedfields.Plo@am__quote@
779 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libscidata_structures_la-sci_getfield.Plo@am__quote@
780 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libscidata_structures_la-sci_rlist.Plo@am__quote@
781 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libscidata_structures_la-sci_setfield.Plo@am__quote@
782
783 .cpp.o:
784 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
785 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
786 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
787 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
788 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
789 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
790
791 .cpp.obj:
792 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
793 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
794 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
795 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
796 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
797 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
798
799 .cpp.lo:
800 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
801 @am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
802 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
803 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
804 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
805 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
806
807 sci_gateway/cpp/libscidata_structures_la-data_structures_gw.lo: sci_gateway/cpp/data_structures_gw.cpp
808 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscidata_structures_la-data_structures_gw.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscidata_structures_la-data_structures_gw.Tpo -c -o sci_gateway/cpp/libscidata_structures_la-data_structures_gw.lo `test -f 'sci_gateway/cpp/data_structures_gw.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/data_structures_gw.cpp
809 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscidata_structures_la-data_structures_gw.Tpo sci_gateway/cpp/$(DEPDIR)/libscidata_structures_la-data_structures_gw.Plo
810 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/data_structures_gw.cpp' object='sci_gateway/cpp/libscidata_structures_la-data_structures_gw.lo' libtool=yes @AMDEPBACKSLASH@
811 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
812 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscidata_structures_la-data_structures_gw.lo `test -f 'sci_gateway/cpp/data_structures_gw.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/data_structures_gw.cpp
813
814 sci_gateway/cpp/libscidata_structures_la-sci_getfield.lo: sci_gateway/cpp/sci_getfield.cpp
815 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscidata_structures_la-sci_getfield.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscidata_structures_la-sci_getfield.Tpo -c -o sci_gateway/cpp/libscidata_structures_la-sci_getfield.lo `test -f 'sci_gateway/cpp/sci_getfield.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_getfield.cpp
816 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscidata_structures_la-sci_getfield.Tpo sci_gateway/cpp/$(DEPDIR)/libscidata_structures_la-sci_getfield.Plo
817 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_getfield.cpp' object='sci_gateway/cpp/libscidata_structures_la-sci_getfield.lo' libtool=yes @AMDEPBACKSLASH@
818 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
819 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscidata_structures_la-sci_getfield.lo `test -f 'sci_gateway/cpp/sci_getfield.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_getfield.cpp
820
821 sci_gateway/cpp/libscidata_structures_la-sci_setfield.lo: sci_gateway/cpp/sci_setfield.cpp
822 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscidata_structures_la-sci_setfield.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscidata_structures_la-sci_setfield.Tpo -c -o sci_gateway/cpp/libscidata_structures_la-sci_setfield.lo `test -f 'sci_gateway/cpp/sci_setfield.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_setfield.cpp
823 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscidata_structures_la-sci_setfield.Tpo sci_gateway/cpp/$(DEPDIR)/libscidata_structures_la-sci_setfield.Plo
824 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_setfield.cpp' object='sci_gateway/cpp/libscidata_structures_la-sci_setfield.lo' libtool=yes @AMDEPBACKSLASH@
825 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
826 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscidata_structures_la-sci_setfield.lo `test -f 'sci_gateway/cpp/sci_setfield.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_setfield.cpp
827
828 sci_gateway/cpp/libscidata_structures_la-sci_rlist.lo: sci_gateway/cpp/sci_rlist.cpp
829 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscidata_structures_la-sci_rlist.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscidata_structures_la-sci_rlist.Tpo -c -o sci_gateway/cpp/libscidata_structures_la-sci_rlist.lo `test -f 'sci_gateway/cpp/sci_rlist.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_rlist.cpp
830 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscidata_structures_la-sci_rlist.Tpo sci_gateway/cpp/$(DEPDIR)/libscidata_structures_la-sci_rlist.Plo
831 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_rlist.cpp' object='sci_gateway/cpp/libscidata_structures_la-sci_rlist.lo' libtool=yes @AMDEPBACKSLASH@
832 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
833 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscidata_structures_la-sci_rlist.lo `test -f 'sci_gateway/cpp/sci_rlist.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_rlist.cpp
834
835 sci_gateway/cpp/libscidata_structures_la-sci_definedfields.lo: sci_gateway/cpp/sci_definedfields.cpp
836 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscidata_structures_la-sci_definedfields.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscidata_structures_la-sci_definedfields.Tpo -c -o sci_gateway/cpp/libscidata_structures_la-sci_definedfields.lo `test -f 'sci_gateway/cpp/sci_definedfields.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_definedfields.cpp
837 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscidata_structures_la-sci_definedfields.Tpo sci_gateway/cpp/$(DEPDIR)/libscidata_structures_la-sci_definedfields.Plo
838 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_definedfields.cpp' object='sci_gateway/cpp/libscidata_structures_la-sci_definedfields.lo' libtool=yes @AMDEPBACKSLASH@
839 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
840 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscidata_structures_la-sci_definedfields.lo `test -f 'sci_gateway/cpp/sci_definedfields.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_definedfields.cpp
841
842 mostlyclean-libtool:
843         -rm -f *.lo
844
845 clean-libtool:
846         -rm -rf .libs _libs
847         -rm -rf sci_gateway/cpp/.libs sci_gateway/cpp/_libs
848 install-libscidata_structures_la_etcDATA: $(libscidata_structures_la_etc_DATA)
849         @$(NORMAL_INSTALL)
850         @list='$(libscidata_structures_la_etc_DATA)'; test -n "$(libscidata_structures_la_etcdir)" || list=; \
851         if test -n "$$list"; then \
852           echo " $(MKDIR_P) '$(DESTDIR)$(libscidata_structures_la_etcdir)'"; \
853           $(MKDIR_P) "$(DESTDIR)$(libscidata_structures_la_etcdir)" || exit 1; \
854         fi; \
855         for p in $$list; do \
856           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
857           echo "$$d$$p"; \
858         done | $(am__base_list) | \
859         while read files; do \
860           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscidata_structures_la_etcdir)'"; \
861           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscidata_structures_la_etcdir)" || exit $$?; \
862         done
863
864 uninstall-libscidata_structures_la_etcDATA:
865         @$(NORMAL_UNINSTALL)
866         @list='$(libscidata_structures_la_etc_DATA)'; test -n "$(libscidata_structures_la_etcdir)" || list=; \
867         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
868         dir='$(DESTDIR)$(libscidata_structures_la_etcdir)'; $(am__uninstall_files_from_dir)
869 install-libscidata_structures_la_rootDATA: $(libscidata_structures_la_root_DATA)
870         @$(NORMAL_INSTALL)
871         @list='$(libscidata_structures_la_root_DATA)'; test -n "$(libscidata_structures_la_rootdir)" || list=; \
872         if test -n "$$list"; then \
873           echo " $(MKDIR_P) '$(DESTDIR)$(libscidata_structures_la_rootdir)'"; \
874           $(MKDIR_P) "$(DESTDIR)$(libscidata_structures_la_rootdir)" || exit 1; \
875         fi; \
876         for p in $$list; do \
877           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
878           echo "$$d$$p"; \
879         done | $(am__base_list) | \
880         while read files; do \
881           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscidata_structures_la_rootdir)'"; \
882           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscidata_structures_la_rootdir)" || exit $$?; \
883         done
884
885 uninstall-libscidata_structures_la_rootDATA:
886         @$(NORMAL_UNINSTALL)
887         @list='$(libscidata_structures_la_root_DATA)'; test -n "$(libscidata_structures_la_rootdir)" || list=; \
888         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
889         dir='$(DESTDIR)$(libscidata_structures_la_rootdir)'; $(am__uninstall_files_from_dir)
890 install-libscidata_structures_la_sci_gatewayDATA: $(libscidata_structures_la_sci_gateway_DATA)
891         @$(NORMAL_INSTALL)
892         @list='$(libscidata_structures_la_sci_gateway_DATA)'; test -n "$(libscidata_structures_la_sci_gatewaydir)" || list=; \
893         if test -n "$$list"; then \
894           echo " $(MKDIR_P) '$(DESTDIR)$(libscidata_structures_la_sci_gatewaydir)'"; \
895           $(MKDIR_P) "$(DESTDIR)$(libscidata_structures_la_sci_gatewaydir)" || exit 1; \
896         fi; \
897         for p in $$list; do \
898           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
899           echo "$$d$$p"; \
900         done | $(am__base_list) | \
901         while read files; do \
902           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscidata_structures_la_sci_gatewaydir)'"; \
903           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscidata_structures_la_sci_gatewaydir)" || exit $$?; \
904         done
905
906 uninstall-libscidata_structures_la_sci_gatewayDATA:
907         @$(NORMAL_UNINSTALL)
908         @list='$(libscidata_structures_la_sci_gateway_DATA)'; test -n "$(libscidata_structures_la_sci_gatewaydir)" || list=; \
909         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
910         dir='$(DESTDIR)$(libscidata_structures_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
911
912 ID: $(am__tagged_files)
913         $(am__define_uniq_tagged_files); mkid -fID $$unique
914 tags: tags-am
915 TAGS: tags
916
917 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
918         set x; \
919         here=`pwd`; \
920         $(am__define_uniq_tagged_files); \
921         shift; \
922         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
923           test -n "$$unique" || unique=$$empty_fix; \
924           if test $$# -gt 0; then \
925             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
926               "$$@" $$unique; \
927           else \
928             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
929               $$unique; \
930           fi; \
931         fi
932 ctags: ctags-am
933
934 CTAGS: ctags
935 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
936         $(am__define_uniq_tagged_files); \
937         test -z "$(CTAGS_ARGS)$$unique" \
938           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
939              $$unique
940
941 GTAGS:
942         here=`$(am__cd) $(top_builddir) && pwd` \
943           && $(am__cd) $(top_srcdir) \
944           && gtags -i $(GTAGS_ARGS) "$$here"
945 cscopelist: cscopelist-am
946
947 cscopelist-am: $(am__tagged_files)
948         list='$(am__tagged_files)'; \
949         case "$(srcdir)" in \
950           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
951           *) sdir=$(subdir)/$(srcdir) ;; \
952         esac; \
953         for i in $$list; do \
954           if test -f "$$i"; then \
955             echo "$(subdir)/$$i"; \
956           else \
957             echo "$$sdir/$$i"; \
958           fi; \
959         done >> $(top_builddir)/cscope.files
960
961 distclean-tags:
962         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
963
964 distdir: $(DISTFILES)
965         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
966         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
967         list='$(DISTFILES)'; \
968           dist_files=`for file in $$list; do echo $$file; done | \
969           sed -e "s|^$$srcdirstrip/||;t" \
970               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
971         case $$dist_files in \
972           */*) $(MKDIR_P) `echo "$$dist_files" | \
973                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
974                            sort -u` ;; \
975         esac; \
976         for file in $$dist_files; do \
977           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
978           if test -d $$d/$$file; then \
979             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
980             if test -d "$(distdir)/$$file"; then \
981               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
982             fi; \
983             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
984               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
985               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
986             fi; \
987             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
988           else \
989             test -f "$(distdir)/$$file" \
990             || cp -p $$d/$$file "$(distdir)/$$file" \
991             || exit 1; \
992           fi; \
993         done
994 check-am: all-am
995         $(MAKE) $(AM_MAKEFLAGS) check-local
996 check: check-am
997 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
998 installdirs:
999         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libscidata_structures_la_etcdir)" "$(DESTDIR)$(libscidata_structures_la_rootdir)" "$(DESTDIR)$(libscidata_structures_la_sci_gatewaydir)"; do \
1000           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1001         done
1002 install: install-am
1003 install-exec: install-exec-am
1004 install-data: install-data-am
1005 uninstall: uninstall-am
1006
1007 install-am: all-am
1008         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1009
1010 installcheck: installcheck-am
1011 install-strip:
1012         if test -z '$(STRIP)'; then \
1013           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1014             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1015               install; \
1016         else \
1017           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1018             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1019             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1020         fi
1021 mostlyclean-generic:
1022
1023 clean-generic:
1024
1025 distclean-generic:
1026         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1027         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1028         -rm -f sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
1029         -rm -f sci_gateway/cpp/$(am__dirstamp)
1030
1031 maintainer-clean-generic:
1032         @echo "This command is intended for maintainers to use"
1033         @echo "it deletes files that may require special tools to rebuild."
1034 clean: clean-am
1035
1036 clean-am: clean-generic clean-libtool clean-local \
1037         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1038
1039 distclean: distclean-am
1040         -rm -rf sci_gateway/cpp/$(DEPDIR)
1041         -rm -f Makefile
1042 distclean-am: clean-am distclean-compile distclean-generic \
1043         distclean-local distclean-tags
1044
1045 dvi: dvi-am
1046
1047 dvi-am:
1048
1049 html: html-am
1050
1051 html-am:
1052
1053 info: info-am
1054
1055 info-am:
1056
1057 install-data-am: install-data-local \
1058         install-libscidata_structures_la_etcDATA \
1059         install-libscidata_structures_la_rootDATA \
1060         install-libscidata_structures_la_sci_gatewayDATA
1061
1062 install-dvi: install-dvi-am
1063
1064 install-dvi-am:
1065
1066 install-exec-am: install-pkglibLTLIBRARIES
1067
1068 install-html: install-html-am
1069
1070 install-html-am: install-html-local
1071
1072 install-info: install-info-am
1073
1074 install-info-am:
1075
1076 install-man:
1077
1078 install-pdf: install-pdf-am
1079
1080 install-pdf-am:
1081
1082 install-ps: install-ps-am
1083
1084 install-ps-am:
1085
1086 installcheck-am:
1087
1088 maintainer-clean: maintainer-clean-am
1089         -rm -rf sci_gateway/cpp/$(DEPDIR)
1090         -rm -f Makefile
1091 maintainer-clean-am: distclean-am maintainer-clean-generic
1092
1093 mostlyclean: mostlyclean-am
1094
1095 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1096         mostlyclean-libtool
1097
1098 pdf: pdf-am
1099
1100 pdf-am:
1101
1102 ps: ps-am
1103
1104 ps-am:
1105
1106 uninstall-am: uninstall-libscidata_structures_la_etcDATA \
1107         uninstall-libscidata_structures_la_rootDATA \
1108         uninstall-libscidata_structures_la_sci_gatewayDATA \
1109         uninstall-pkglibLTLIBRARIES
1110
1111 .MAKE: check-am install-am install-strip
1112
1113 .PHONY: CTAGS GTAGS TAGS all all-am all-local check check-am \
1114         check-local clean clean-generic clean-libtool clean-local \
1115         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES cscopelist-am \
1116         ctags ctags-am distclean distclean-compile distclean-generic \
1117         distclean-libtool distclean-local distclean-tags distdir dvi \
1118         dvi-am html html-am info info-am install install-am \
1119         install-data install-data-am install-data-local install-dvi \
1120         install-dvi-am install-exec install-exec-am install-html \
1121         install-html-am install-html-local install-info \
1122         install-info-am install-libscidata_structures_la_etcDATA \
1123         install-libscidata_structures_la_rootDATA \
1124         install-libscidata_structures_la_sci_gatewayDATA install-man \
1125         install-pdf install-pdf-am install-pkglibLTLIBRARIES \
1126         install-ps install-ps-am install-strip installcheck \
1127         installcheck-am installdirs maintainer-clean \
1128         maintainer-clean-generic mostlyclean mostlyclean-compile \
1129         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1130         tags tags-am uninstall uninstall-am \
1131         uninstall-libscidata_structures_la_etcDATA \
1132         uninstall-libscidata_structures_la_rootDATA \
1133         uninstall-libscidata_structures_la_sci_gatewayDATA \
1134         uninstall-pkglibLTLIBRARIES
1135
1136 .PRECIOUS: Makefile
1137
1138
1139 # This target enables tests for Scilab
1140 check-local: $(top_builddir)/scilab-bin test
1141         if test -d $(mydatadir)/tests; then \
1142           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1143         fi
1144 check-code:
1145         if test -f build.xml; then \
1146                 $(ANT) checkstyle; \
1147         fi
1148         if test -x "$(SPLINT)"; then \
1149                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1150         fi
1151 @NEED_JAVA_TRUE@java:
1152 # Some configurations needs to export JAVA_HOME in the current env
1153 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1154 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1155 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1156 @NEED_JAVA_TRUE@                $(ANT); \
1157 @NEED_JAVA_TRUE@        fi
1158
1159 @NEED_JAVA_TRUE@clean-java:
1160 # Some configurations needs to export JAVA_HOME in the current env
1161 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1162 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1163 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1164 @NEED_JAVA_TRUE@                $(ANT) clean; \
1165 @NEED_JAVA_TRUE@        fi;
1166
1167 # If the user request for the SWIG generation of the wrappers Java => C/C++
1168 # We call the target swig-build on the variable SWIG_WRAPPERS
1169
1170 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1171 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1172 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1173 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1174 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1175 @SWIG_TRUE@                     echo "Swig process of $$file (Java) ..."; \
1176 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) $(SWIG_OPTIONS) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1177 @SWIG_TRUE@             done; \
1178 @SWIG_TRUE@     fi
1179
1180 @SWIG_TRUE@swig-scilab: $(SWIG_SCILAB_WRAPPERS)
1181 @SWIG_TRUE@     @SWIG_OUTDIR=src/swig/; \
1182 @SWIG_TRUE@     if test -n "$(SWIG_SCILAB_WRAPPERS)"; then \
1183 @SWIG_TRUE@             for file in $(SWIG_SCILAB_WRAPPERS) ; do \
1184 @SWIG_TRUE@                     echo "Swig process of $$file (Scilab) ..."; \
1185 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_SCILAB) $(SWIG_OPTIONS) -outdir $$SWIG_OUTDIR $$file; \
1186 @SWIG_TRUE@             done; \
1187 @SWIG_TRUE@     fi
1188
1189 # If the user request for the SWIG generation of the wrappers Java => C/C++
1190 # We call the target swig-build on the variable SWIG_WRAPPERS
1191
1192 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1193 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/; \
1194 @GIWS_TRUE@     MANDATORY_OPTIONS="--throws-exception-on-error --description-file"; \
1195 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1196 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1197 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1198 @GIWS_TRUE@                     if test -z "$(GIWS_OPTIONS)"; then \
1199 @GIWS_TRUE@                             $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1200 @GIWS_TRUE@                     else \
1201 @GIWS_TRUE@                             echo "Custom GIWS call with '$$GIWS_OPTIONS'"; \
1202 @GIWS_TRUE@                             $(GIWS_BIN) $$GIWS_OPTIONS --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1203 @GIWS_TRUE@                     fi \
1204 @GIWS_TRUE@             done; \
1205 @GIWS_TRUE@     fi
1206
1207 @GIWS_TRUE@giws-exception:
1208 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1209 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1210 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR
1211
1212 macros:
1213         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1214                 echo "Error : Cannot build $< : Scilab has not been built"; \
1215         else \
1216                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1217         fi)
1218
1219 # Removes the macros
1220 clean-macros:
1221 # Removes macros (*.bin generated from .sci)
1222         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1223                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1224                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1225         done
1226
1227 test:
1228 # More tests could be added here
1229         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1230         if test -f build.xml -a $$USEANT -eq 1; then \
1231                 $(ANT) test; \
1232         fi
1233
1234 all-local: $(TARGETS_ALL)
1235
1236 .sci.bin:
1237         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1238         echo "Error : Cannot build $< : Scilab has not been build"; \
1239         else \
1240         echo "Creating $@"; \
1241         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1242         fi )
1243
1244 install-html-local:
1245
1246 install-data-local-local:
1247 # Mainly for javasci
1248         @if test -d $(srcdir)/javadoc; then \
1249                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1250         fi
1251 # If the user wants the help sources to be installed
1252 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1253 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1254 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1255 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1256 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1257 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1258 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1259 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1260 @INSTALL_HELP_XML_TRUE@           done ; \
1261 @INSTALL_HELP_XML_TRUE@         fi; \
1262 @INSTALL_HELP_XML_TRUE@  fi; \
1263 @INSTALL_HELP_XML_TRUE@ done; \
1264 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1265 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1266 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1267 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1268 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1269 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1270 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1271 @INSTALL_HELP_XML_TRUE@           done ; \
1272 @INSTALL_HELP_XML_TRUE@         fi; \
1273 @INSTALL_HELP_XML_TRUE@ fi
1274 install-data-local:
1275 # Install the tests
1276         @echo "-------- Install tests (if any) --------"; \
1277         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1278           if test -d $(srcdir)/$$dir/; then \
1279             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1280                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1281                     if test -d "$(srcdir)/$$dir/$$file"; then \
1282                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1283                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1284                     else \
1285                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1286                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1287                     fi \
1288                   done; \
1289           fi; \
1290         done
1291 # Install the help chapter
1292         @echo "-------- Install the help chapter (if any) --------"; \
1293         for lang in $(HELP_CHAPTERLANG); do \
1294                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1295                 if test -f $$HELPFILE; then \
1296                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1297                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1298                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1299                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1300                 fi; \
1301         done
1302 # Install the demos & examples
1303         @echo "-------- Install demos & examples (if any) --------"; \
1304         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1305           if test -d $(srcdir)/$$dir/; then \
1306             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1307                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1308                     if test -d "$(srcdir)/$$dir/$$file"; then \
1309                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1310                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1311                     else \
1312                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1313                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1314                     fi \
1315                   done; \
1316           fi; \
1317         done
1318 # Install the macros
1319         @echo "-------- Install macros (if any) --------"; \
1320         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1321           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1322                 if test -d $(srcdir)/$$dir/; then \
1323                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1324                         if test -n "$(MACROSSPECIALEXT)"; then \
1325                                 specialExtDir=""; \
1326                                 for specialExt in $(MACROSSPECIALEXT); do \
1327                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1328                                 done; \
1329                                 FILELIST="$$FILELIST $$specialExtDir"; \
1330                         fi; \
1331                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1332                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1333                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1334                   done; \
1335                 fi; \
1336         done
1337 # Install java files (.jar)
1338         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1339         echo "-------- Install jar files --------"; \
1340     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1341           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1342                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1343                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1344           done ; \
1345         fi
1346
1347 ########### CLEAN ###################
1348 # Clean help (generated automatically by Scilab)
1349 # It used to clean the macro (clean-macros) but this was causing
1350 # make clean && make to fail Scilab startup
1351 @NEED_JAVA_TRUE@clean-local: clean-java
1352 @NEED_JAVA_FALSE@clean-local:
1353
1354 distclean-local:
1355         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1356
1357 .PHONY: macros java swig giws
1358
1359 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1360 # Otherwise a system limit (for SysV at least) may be exceeded.
1361 .NOEXPORT: